Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227305 - "Buffer I/O error" on Adaptec 2100S Raid Adapter after upgraded to kernel-2.6.19-1.2895.fc6
Summary: "Buffer I/O error" on Adaptec 2100S Raid Adapter after upgraded to kernel-2.6...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 03:16 UTC by A. Lee
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.6.20-1.2944.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 23:14:21 UTC


Attachments (Terms of Use)

Description A. Lee 2007-02-05 03:16:52 UTC
Description of problem:
After upgraded to kernel-2.6.19-1.2895.fc6, I can no longer access the hard
disks on my Adaptec 2100S Raid adapter. /var/log/messages shows:
Feb  4 21:46:09 xxx kernel: I2O subsystem v1.325
Feb  4 21:46:09 xxx kernel: i2o: max drivers = 8
Feb  4 21:46:09 xxx kernel: i2o: Checking for PCI I2O controllers...
Feb  4 21:46:09 xxx kernel: ACPI: PCI Interrupt 0000:00:09.1[A] -> GSI 18
(level, low) -> IRQ 16
Feb  4 21:46:09 xxx kernel: iop0: controller found (0000:00:09.1)
Feb  4 21:46:09 xxx kernel: iop0: PCI I2O controller at D6000000 size=1048576
Feb  4 21:46:09 xxx kernel: iop0: Installed at IRQ 16
Feb  4 21:46:10 xxx kernel: i2o: iop0: Activating I2O controller...
Feb  4 21:46:10 xxx kernel: i2o: iop0: This may take a few minutes if there are
many devices
Feb  4 21:46:10 xxx kernel: iop0: HRT has 1 entries of 16 bytes each.
Feb  4 21:46:10 xxx kernel: Adapter 00000012: TID 0000:[HPC*]:PCI 1: Bus 1
Device 22 Function 0 
Feb  4 21:46:10 xxx kernel: i2o: iop0: Controller added
Feb  4 21:46:10 xxx kernel: I2O Block Device OSM v1.325
Feb  4 21:46:10 xxx kernel: block-osm: registered device at major 80
Feb  4 21:46:10 xxx kernel:  i2o/hda:<3>Buffer I/O error on device i2o/hda,
logical block 0 
Feb  4 21:46:10 xxx kernel: Buffer I/O error on device i2o/hda, logical block 0 
Feb  4 21:46:10 xxx kernel: Buffer I/O error on device i2o/hda, logical block 0 
Feb  4 21:46:10 xxx kernel:  unable to read partition table
Feb  4 21:46:10 xxx kernel: block-osm: device added (TID: 202): i2o/hda
Feb  4 21:46:10 xxx kernel: Buffer I/O error on device i2o/hda, logical block
8978928
Feb  4 21:46:10 xxx kernel: Buffer I/O error on device i2o/hda, logical block
8978928
Feb  4 21:46:10 xxx kernel: Buffer I/O error on device i2o/hda, logical block 0 
Feb  4 21:46:10 xxx kernel: Buffer I/O error on device i2o/hda, logical block 1 
Feb  4 21:46:10 xxx kernel: Buffer I/O error on device i2o/hda, logical block 2 
Feb  4 21:46:10 xxx kernel: Buffer I/O error on device i2o/hda, logical block 3 
Feb  4 21:46:10 xxx kernel: Buffer I/O error on device i2o/hda, logical block 4 


/dev/i2o/hda* works ok after I reverted back to kernel-2.6.18-1.2869.fc6.


Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2895.fc6

How reproducible:
Always.


Note You need to log in before you can comment on or make changes to this bug.